summaryrefslogtreecommitdiff
path: root/dev-ruby/mash
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-ruby/mash
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-ruby/mash')
-rw-r--r--dev-ruby/mash/Manifest1
-rw-r--r--dev-ruby/mash/mash-0.1.1-r3.ebuild24
-rw-r--r--dev-ruby/mash/metadata.xml9
3 files changed, 34 insertions, 0 deletions
diff --git a/dev-ruby/mash/Manifest b/dev-ruby/mash/Manifest
new file mode 100644
index 000000000000..dd1b772a3b14
--- /dev/null
+++ b/dev-ruby/mash/Manifest
@@ -0,0 +1 @@
+DIST mash-0.1.1.gem 8704 BLAKE2B 071559e64bc6b4be639f854405bed695a9e8136e9e20d2793a47336f4fc68acdf587051f920c3429b882c2941b9d0396adaf12352b4306d64af5cdefec3aae83 SHA512 5d3a0997b9a98e3228f6e838e449597f88c53f3f310b1c19b40dd1d5439887afc8e47710f0062b6bf0ab776aa6a9563b21b2fb402667701b215edd9d2ccb7e8e
diff --git a/dev-ruby/mash/mash-0.1.1-r3.ebuild b/dev-ruby/mash/mash-0.1.1-r3.ebuild
new file mode 100644
index 000000000000..7417c2ef4ebc
--- /dev/null
+++ b/dev-ruby/mash/mash-0.1.1-r3.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="History.txt README.txt"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Mash is an extended Hash that gives simple pseudo-object functionality"
+HOMEPAGE="https://github.com/mbleigh/mash"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+all_ruby_prepare() {
+ sed -i -e 's/be_true/be true/' -e 's/be_false/be false/' spec/mash_spec.rb || die
+}
diff --git a/dev-ruby/mash/metadata.xml b/dev-ruby/mash/metadata.xml
new file mode 100644
index 000000000000..c685ebad7e3a
--- /dev/null
+++ b/dev-ruby/mash/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>